cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shazron Abdullah (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CB-12502) Document minimum iOS version support / Xcode requirements
Date Wed, 01 Mar 2017 18:37:45 GMT

     [ https://issues.apache.org/jira/browse/CB-12502?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Shazron Abdullah resolved CB-12502.
-----------------------------------
    Resolution: Fixed

> Document minimum iOS version support / Xcode requirements
> ---------------------------------------------------------
>
>                 Key: CB-12502
>                 URL: https://issues.apache.org/jira/browse/CB-12502
>             Project: Apache Cordova
>          Issue Type: Improvement
>          Components: Docs, iOS
>    Affects Versions: Master
>            Reporter: Filip Maj
>            Assignee: Kerri Shotts
>             Fix For: cordova-ios@4.4.0
>
>
> I was trying to answer the question "what minimum iOS version does cordova-ios support?"
Finding an answer to that question was challenging and lead to some conflicting information.
> There was a [discuss thread on the mailing list talking about this|https://lists.apache.org/thread.html/6dbe3ad68265e52982f44e4e68ff413dd5ed1617ea0cef25a4e844da@%3Cdev.cordova.apache.org%3E],
but that is the only source of information on the topic.
> First, the [cordova-ios repository itself only mentions that Xcode 7+ is a requirement|https://github.com/apache/cordova-ios#cordova-ios].
Perhaps we should also explicitly mention what iOS version(s) we support?
> Second, the [cordova-docs mentions Xcode 6+ is required, and vaguely mentions iOS 8 (but
does not imply that that is the minimum version|https://cordova.apache.org/docs/en/latest/guide/platforms/ios/index.html#requirements-and-support].
Perhaps we can clarify the requirements here?
> Third, the [cordova-docs iOS simulator instructions show screenshots using an old (probably
unsupported?) Xcode version, deploying to iOS 5 and 6 simulators (which I think are now also
unsupported)|https://cordova.apache.org/docs/en/latest/guide/platforms/ios/index.html#deploying-to-simulator].
Should we update these as well? 



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message